## triplane 1.0.6

=== Makefile ===
PREFIX ?= /usr/local
DESTDIR ?=

CXX	     ?= g++
OPTIFLAG     = -O2 -g
SDL_CONFIG  ?= sdl-config
CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\""
LDFLAGS      = 
LIBS        := `$(SDL_CONFIG) --libs` -lSDL_mixer -lm
INSTALL_DATA     ?= install -m 644
INSTALL_PROGRAM  ?= install

COMMON_OBJS = src/gfx/bitmap.o src/gfx/font.o \
	src/gfx/gfx.o src/util/wutil.o src/util/random.o \
	src/io/sdl_compat.o src/io/video.o \
	src/io/mouse.o src/io/dksfile.o src/io/timing.o
TRIPLANE_OBJS = src/triplane.o src/world/tripai.o \
	src/world/tripmis.o src/gfx/fades.o src/menus/tripmenu.o \
	src/world/terrain.o src/world/fobjects.o src/world/tmexept.o \
	src/gfx/extra.o src/settings.o src/world/plane.o src/io/joystick.o src/io/sound.o \
	src/world/tripaudio.o
LVLEDIT_OBJS = src/tools/lvledit/lvledit.o
PGDVIEW_OBJS = src/tools/pgdview/pgdview.o
PCX2PGD_OBJS = src/tools/pcx2pgd/pcx2pgd.o

COMMON_SRCS = $(COMMON_OBJS:.o=.cpp)
TRIPLANE_SRCS = $(TRIPLANE_OBJS:.o=.cpp)
LVLEDIT_SRCS = $(LVLEDIT_OBJS:.o=.cpp)
PGDVIEW_SRCS = $(PGDVIEW_OBJS:.o=.cpp)
PCX2PGD_SRCS = $(PCX2PGD_OBJS:.o=.cpp)
ALLSRCS = $(COMMON_SRCS) $(TRIPLANE_SRCS) $(LVLEDIT_SRCS) $(PGDVIEW_SRCS) $(PCX2PGD_SRCS)

all: checkdepend triplane tools/dksbuild fokker.dks tools/lvledit tools/pgdview

checkdepend:
	@[ -f .depend ] || ( echo 'Please run "make depend" first!'; exit 1 )

depend: $(ALLSRCS)
	rm -f .depend
	touch .depend
	(set -e; \
	for src in $(ALLSRCS); do \
		$(CXX) -MM -MT "`echo "$$src" | sed 's/\\.cpp$$/.o/'`" $(CFLAGS) "$$src" >>.depend; \
	done)
	echo "fokker.dks: tools/dksbuild data/fokker.lst \\" >>.depend
	sed '1d;  /^;/d;  s/ .*$$//;  s/$$/ \\/;  $$s/ \\//;  s/^/  /;' data/fokker.lst >> .depend

clean:
	rm -f .depend
	rm -f src/*.o
	rm -f src/*/*.o
	rm -f src/*/*/*.o
	rm -f triplane tools/dksbuild tools/lvledit tools/pgdview tools/pcx2pgd
	rm -f fokker.dks

fokker.dks:
	./tools/dksbuild data/fokker.lst

%.o: %.cpp
	$(CXX) -o $@ $(CFLAGS) -c $<

triplane: $(TRIPLANE_OBJS) $(COMMON_OBJS)
	$(CXX) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)

tools/lvledit: $(LVLEDIT_OBJS) $(COMMON_OBJS)
	$(CXX) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)

tools/pgdview: $(PGDVIEW_OBJS) $(COMMON_OBJS)
	$(CXX) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)

tools/pcx2pgd: $(PCX2PGD_OBJS) $(COMMON_OBJS)
	$(CXX) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)

tools/dksbuild: src/tools/dksbuild/dksbuild.cc
	$(CXX) -o tools/dksbuild -g src/tools/dksbuild/dksbuild.cc

install:
	mkdir -p $(DESTDIR)$(PREFIX)/games
	$(INSTALL_PROGRAM) triplane $(DESTDIR)$(PREFIX)/games/triplane
	mkdir -p $(DESTDIR)$(PREFIX)/share/games/triplane
	$(INSTALL_DATA) fokker.dks $(DESTDIR)$(PREFIX)/share/games/triplane/fokker.dks
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man6
	$(INSTALL_DATA) doc/triplane.6 $(DESTDIR)$(PREFIX)/share/man/man6/triplane.6
test:
	if [ ! -d triplane-testsuite ]; then echo Please darcs get http://iki.fi/lindi/darcs/triplane-testsuite; false; fi
	SDL_VIDEODRIVER=dummy bash tools/run-all-tests tools/run-one-test ./triplane triplane-testsuite

build-data-from-source: tools/pcx2pgd
	tools/build-data-from-source

# man -Tps doc/triplane.6 > triplane.ps
# ps2pdf triplane.ps
.PHONY: all checkdepend depend clean install test
-include .depend

=== debian/changelog ===
triplane (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #628797)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 04 Jun 2011 01:05:46 +0300

=== debian/control ===
Source: triplane
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), libsdl-mixer1.2-dev, libsdl1.2-dev
Standards-Version: 3.9.2
Homepage: http://triplane.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-games/triplane.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/triplane.git;a=summary

Package: triplane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: side-scrolling dogfighting game
 Triplane Classic is a side-scrolling dogfighting game featuring solo
 missions and multiplayer mode with up to four players. It is a port
 of the original Triplane Turmoil game for DOS and aims to match the
 original game exactly so that high scores remain comparable to the
 original.

## triplane 1.0.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 CXX	     ?= g++
 OPTIFLAG     = -O2 -g
 SDL_CONFIG  ?= sdl-config
-CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\""
+VERSION      = 1.0.7
+CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\"" "-DTRIPLANE_VERSION=\"$(VERSION)\""
 LDFLAGS      = 
 LIBS        := `$(SDL_CONFIG) --libs` -lSDL_mixer -lm
 INSTALL_DATA     ?= install -m 644
@@ -88,6 +89,12 @@
 build-data-from-source: tools/pcx2pgd
 	tools/build-data-from-source
 
+dist:
+	make clean
+	test -z "`git ls-files -d -o -m -u -s`" || (echo "There are uncommitted changes" >&2; /bin/false)
+	test -z "`git diff --cached`" || (echo "There are uncommitted changes in the index" >&2; /bin/false)
+	tar --transform "s/^./triplane-$(VERSION)/" --exclude=.git --exclude=debian -zcf ../triplane-$(VERSION).tar.gz .
+
 # man -Tps doc/triplane.6 > triplane.ps
 # ps2pdf triplane.ps
 .PHONY: all checkdepend depend clean install test

=== debian/changelog ===
triplane (1.0.7-1) unstable; urgency=low

  * New upstream release
    - Ensure that all .pgd files can be rebuilt from .pcx files

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 30 Aug 2011 21:11:28 +0000

## triplane 1.0.8

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CXX	     ?= g++
 OPTIFLAG     = -O2 -g
 SDL_CONFIG  ?= sdl-config
-VERSION      = 1.0.7
+VERSION      = 1.0.8
 CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\"" "-DTRIPLANE_VERSION=\"$(VERSION)\""
 LDFLAGS      = 
 LIBS        := `$(SDL_CONFIG) --libs` -lSDL_mixer -lm
@@ -93,6 +93,7 @@
 	make clean
 	test -z "`git ls-files -d -o -m -u -s`" || (echo "There are uncommitted changes" >&2; /bin/false)
 	test -z "`git diff --cached`" || (echo "There are uncommitted changes in the index" >&2; /bin/false)
+	test -z "`find -type d -empty ! -path "./.git/*"`" || (echo "There are empty directories" >&2; /bin/false)
 	tar --transform "s/^./triplane-$(VERSION)/" --exclude=.git --exclude=debian -zcf ../triplane-$(VERSION).tar.gz .
 
 # man -Tps doc/triplane.6 > triplane.ps

=== debian/changelog ===
triplane (1.0.8-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.5.1.
  * Switch to debhelper-compat = 13.
  * wrap-and-sort -sa.
  * Use canonical VCS URL.
  * Drop obsolete triplane.menu file.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Feb 2021 00:02:05 +0100

triplane (1.0.8-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and https.
  * triplane.desktop: Add keywords and a comment in German.
  * Add reproducible-build.patch and make the build reproducible.
    Thanks to Chris Lamb for the report and patch. (Closes: #776603)
  * Use compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@debian.org>  Mon, 15 Aug 2016 14:11:53 +0200

triplane (1.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #693037, #693038).
  * Fix icon name in .desktop file (Closes: #693036).
  * Bump standards-version to 3.9.4, no changes needed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 24 Feb 2013 14:56:14 +0000

=== debian/control ===
Source: triplane
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Timo Juhani Lindfors <timo.lindfors@iki.fi>
Build-Depends:
 debhelper-compat (= 13),
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 4.5.1
Homepage: http://triplane.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/triplane.git
Vcs-Browser: https://salsa.debian.org/games-team/triplane

Package: triplane
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: side-scrolling dogfighting game
 Triplane Classic is a side-scrolling dogfighting game featuring solo
 missions and multiplayer mode with up to four players. It is a port
 of the original Triplane Turmoil game for DOS and aims to match the
 original game exactly so that high scores remain comparable to the
 original.

=== debian/watch ===
version=3
http://sf.net/triplane/triplane-(.*)\.tar\.gz
